package com.srs.dormitory.service;

import com.srs.common.core.domain.AjaxResult;
import com.srs.dormitory.domain.DmsBuildingDept;
import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.dormitory.domain.Dto.DeptBuildingDto;
import com.srs.dormitory.domain.Vo.DeptVo;
import com.srs.dormitory.domain.Vo.EmptyDormitoryVo;
import com.srs.dormitory.domain.Vo.GendersVo;

import java.util.List;

/**
 * <p>
 * 宿舍楼和部门关系中间表 服务类
 * </p>
 *
 * @author 猪油骨
 * @since 2023-07-31
 */
public interface IDmsBuildingDeptService extends IService<DmsBuildingDept> {

    AjaxResult addDept(DeptBuildingDto dto);

    List<GendersVo> genderCount(Long gradeId);

    List<EmptyDormitoryVo> emptyDormitory();

    List<DeptVo> buildingAllocation();
}
